.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #ad0004; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.red-circle {
  width: 20px;
  height: 20px;
  background-color: red;
  border-radius: 50%;
  position: absolute;
  /* top: 10px;
  right: 10px; */
  margin: 10px;
}

.css-1h9z7r5-MuiButtonBase-root-MuiTab-root.Mui-selected {
  cursor: pointer;
  color: #ad0004;
  border-bottom: 2px solid #ad0004;
  position: relative;
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;

  margin-right: 20px;
  padding: 10px 0;
  text-transform: capitalize;
}

[type="button"]:not(:disabled),
[type="reset"]:not(:disabled),
[type="submit"]:not(:disabled),
button:not(:disabled) {
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  color: #343e42;
  margin-right: 20px;
  padding: 10px 0;
  text-transform: capitalize;
}

.css-1h9z7r5-MuiButtonBase-root-MuiTab-root.Mui-selected {
  color: #ad0004 !important ;
  border-bottom: 2px solid #ad0004 !important ;
}

.swal-button {
  background-color: #ad0004 !important;
  padding: 14px 25px !important;
  color: white !important;
}

.admin-button{
  height: 45px !important;;
  background: rgb(173, 0, 4) !important;;
  border-radius: 10px !important;;
  border: 1px solid rgb(173, 0, 4) !important;;
  color: white !important;;
  padding: 10px !important;;
}
.admin-close-button{
  height: 45px !important;;
  background: #343a40 !important;;
  border-radius: 10px !important;;
  border: 1px solid #343a40 !important;;
  color: white !important;;
  padding: 10px !important;;
}
.admin-green-button{
  height: 45px !important;;
  background: #229954 !important;;
  border-radius: 10px !important;;
  border: 1px solid #229954 !important;;
  color: white !important;;
  padding: 10px !important;;
}


.css-19kzrtu {
  padding: 0px !important;
}

/* -------------------------------------------------------------------------------------------------- */

.body {
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
}

.text {
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 11px;
  color: #6B7280;
}

/* bg default common */
.bg-default {
  width: 100%;
  height: 14.5rem;
  background: #AD0004;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: -1;
  border-radius: 0 0 1rem 1rem;
}
/* .bg-default.dutylist {
  height: 8.5rem;
} */

.desc-hldr {
  color: #F3F7FF;
}

.find-duty-hldr {
  background: #FFFFFF;
  box-shadow: -1px 2px 7px rgba(46, 49, 118, 0.1);
  border-radius: 16px;
  /* padding: 25px 34px; */
  position: relative;
}

.find-duty-hldr::after {
  content: "";
  width: 42px;
  height: 42px;
  position: absolute;
  /* background: url(./images/ellipse-right.png); */
  background-size: cover;
  right: -12px;
  top: 43%;
}

.time-picker-hldr {
  display: flex;
  justify-content: space-evenly;
  padding: 0 0 20px;
  border-bottom: 1px dashed #E3E3E3;
  margin-bottom: 10px;
}

.time-picker-hldr .time-hldr {
  background: #F7F4F4;
  border-radius: 5px;
  padding: 5px;
  margin: 0 3px;
}

.time-picker-hldr .time-hldr .time {
  width: 65%;
  float: left;
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 11px;
  color: #6B7280;
}

.time-picker-hldr .time-hldr .time-icon {
  width: 30%;
  float: right;
}

.reset-btn {
  background: #AD0004;
  border-radius: 5px;
  width: 100%;
  margin: 0 auto;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

.find-btn {
  background: #343E42;
  border-radius: 10px;
  width: 100%;
  margin: 0 auto;
  height: 64px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

.find-btn span {
  width: 40px;
  height: 40px;
  background-color: #505355;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 10px;
}
.find-btn.search-btn {
  background-color: #AD0004;
  color: white;
}
.find-btn.search-btn span {
  font-size: 2rem;
  background: none;
}
.routes-txt {
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.005em;
  color: #6B7280;
}

.routes-txt span {
  color: #AD0004;
}

.route-info-hdr {
  display: flex;
  justify-content: center;
  align-items: center;
}

.route-info-hdr span {
  width: 54px;
  height: 54px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ECEAEA;
  border-radius: 100%;
  margin-right: 10px;
}

.route-info-hdr h3 {
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-size: 17px;
  line-height: 26px;
  letter-spacing: 0.005em;
  color: #6B7280;
}

.route-info-hdr h3 strong {
  font-weight: 600;
  color: #AD0004;
}

.list-hldr {
  background: #FFFFFF;
  box-shadow: -1px 2px 7px rgba(46, 49, 118, 0.1);
  border-radius: 10px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 20px;
  margin-bottom: 20px;
}

.list-hldr .img-hldr {
  flex: 0 0 60px;
}

.list-hldr p {
  margin-bottom: 0;
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 13px;
  line-height: 15px;
  color: #343E42;
}

.list-hldr .desc-hldr {
  flex: 0 0 calc(100% - 108px);
}

.list-hldr .lst-btn-hldr {
  flex: 0 0 60px;
}

.lst-btn-hldr.status-lock-icon {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.list-hldr .lst-btn-hldr button {
  background: #F0F0F0;
  border-radius: 5px;
  width: 45px;
  height: 45px;
  border: none;
}
.n-route {
  justify-content: space-between;
}
.n-route .lst-btn-hldr {
  flex: 0 0 40px;
}
.n-route .lst-btn-hldr button {
  width: 30px;
  height: 30px;
  margin-bottom: 10px;
  background: none;
}
.n-route .desc-hldr {
  display: flex;
  flex-direction: column;
}
.n-route .desc-hldr div {
  display: flex;
  margin-bottom: 10px;
}
.n-route .desc-hldr div .img-hldr {
  flex: 0 0 40px;
  /* background-color: red; */
}
.n-route .desc-hldr div .img-hldr img {
  height: 30px;
}
.n-route .desc-hldr div .text-hldr {
  flex-direction: column;
}
.card {
  background: white;
  border-radius: 1rem;
  position: relative;
  padding: 1.688rem 1.25rem 1.688rem 1.25rem;
  box-shadow: 0px 0.25rem 1.75rem rgba(46, 49, 118, 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon {
  background: #EEEEEE;
  border-radius: 4px 0px 0px 4px;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  background-color: #FAFAFA;
}

.text {
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 11px;
  color: #6B7280;
}

.values p {
  width: 176px;
  height: 20px;
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  line-height: 20px;
  margin-top: 27px;
  letter-spacing: 0.005em;
  color: #6B7280;
}

.cards {
  background: #343E42;
  border-radius: 10px;
  width: 252px;
  height: 64px;
}

.text {
  font-style: normal;
  font-weight: 600;
  font-size: 17px;
  line-height: 26px;
  letter-spacing: 0.005em;
  color: #AD0004;
}


.carddata {
  height: 33px;
  background: #F7F4F4;
  border-radius: 5px;
}

.textval {
  font-weight: 500;
  font-size: 1.063rem;
  line-height: 1.625rem;
  letter-spacing: 0.01em;
  color: #F3F7FF;
}

.card1 {
  width: 100%;
  height: 90px;
  padding-bottom: 20px;
}

.card2 {
  width: 100%;
  height: 90px;
  padding-bottom: 20px;
}

.top-tab-nav {
  display: flex;
  margin: 30px 0;
  align-items: center;
  justify-content: flex-start;
}

.top-tab-nav>div {
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  color: #343E42;
  margin-right: 20px;
  padding: 10px 0;
}

.top-tab-nav>div.active {
  color: #AD0004;
  border-bottom: 2px solid #AD0004;
  position: relative;
}

.top-tab-nav>div.active::before {
  content: "";
  width: 0;
  height: 0;
  border-top: 5px solid #AD0004;
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
  position: absolute;
  left: 50%;
  bottom: -7px;
}

.cardcustom {
  background: white;
  border-radius: 1rem;
  position: relative;
  padding: 1.688rem 1.25rem 1.688rem 1.25rem;
  box-shadow: 0px 0.25rem 1.75rem rgba(46, 49, 118, 0.1);
  width: 100%;
}

.datacard {
  width: 100%;
}

.datepick {
  width: 257px;
  height: 48px;
}

.datetext {
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 11px;
  margin-top: 7px;
  display: inline-block;
  width: 50%;
  color: #6B7280;
}

.rightclass {
  display: inline-block;
  width: 30%;
}

.findbutton {
  background: #343E42;
  border-radius: 10px;
  width: 252px;
  height: 64px;
}

/* duty-list styles */
.profile-dtl {
  padding-top: 20px;
}

.desc-hldr {
  color: #F3F7FF;
}

.map-hldr {
  background: #FFFFFF;
  box-shadow: -1px 2px 7px rgba(46, 49, 118, 0.1);
  border-radius: 16px;
  position: relative;
  top: 0;
}

.icon {
  background: #EEEEEE;
  border-radius: 4px 0px 0px 4px;
}
/* routecard css starts here */
.grey-location {
  padding: 0 20px;
  position: relative;
  top: -30px;
}

.routecard {
  background-color: #F0F0F0;
  padding: 20px 30px;
  display: flex;
  align-items: center;
  border-radius: 10px;
}

.routecard p {
  margin-bottom: 0;
}

.bg-map {
  background-image: url(./images/map-image.png);
}

.red-header thead th {
  color: #FFFFFF;
  background-color: #AD0004;
  padding: 15px 10px;
}

.red-header thead th:first-child {
  border-radius: 10px 0 0 10px;
}

.red-header thead th:last-child {
  border-radius: 0 10px 10px 0;
}
.red-header tbody td {
  padding: 15px 10px;
}
.red-header tbody td:first-child {
  border-left: 5px solid #D9D9D9;
}
.red-header tr.active td:first-child {
  border-left-color: #039F2F ;
}
/* .red-header tr.active td:first-child::before {
  content: "";
  width: 15px;
  height: 15px;
  border-radius: 100%;
  background-color: #039F2F;
  border: 2px solid #F4F4F4;
  position: absolute;
  z-index: 10;
  left: 7px;
} */
.red-circle {
  border-radius: 100%;
  background-color: #AD0004;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 45px;
  width: 45px;

}

/* registration */
/* .reg-page .welcome h6 {
  color: #F8F8F8;
  font-style: normal;
  font-weight: 700;
  font-size: 0.75rem;
  line-height: 150%;
}

.reg-page .Security h1 {
  color: #F8F8F8;
  font-weight: 700;
  font-size: 1.18rem;
  line-height: 125%;
}

.reg-page .Register h1 {
  color: #F8F8F8;
  font-weight: 600;
  font-size: 0.875rem;
  line-height: 1.313rem;

} */

/* common footer */
/* .footer {
  position: fixed;
  bottom: 10px;
  left: 0;
  right: 0;
  margin: auto;
}

.footer-nav {
  padding: 10px 20px;
  background: #FFFFFF;
  box-shadow: 0px 4px 28px rgba(46, 49, 118, 0.1);
  border-radius: 16px;
  color: #BFC2C8;
} */


.report-hldr.active {
  background-color: #343E42;
}
.report-hldr.active .desc-hldr p {
  color: #fff;
}

.report-hldr .lst-btn-hldr div.brown {
  background-color: #AD0004;
  color: #fff;
}
.report-hldr .lst-btn-hldr {
  flex: 0 0 60px;
}
.report-hldr .lst-btn-hldr div {
  width: 50px;
  height: 50px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  /* border: 5px solid #E7E7E7; */
  outline: 5px solid rgba(0, 0, 0, .1);
}

.report-hldr .lst-btn-hldr div.green {
  background-color: #039F2F;
  color: #fff;
}
.list-hldr {
  background: #FFFFFF;
  box-shadow: -1px 2px 7px rgba(46, 49, 118, 0.1);
  border-radius: 10px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 20px;
  margin-bottom: 20px;
}

.css-52llsg-MuiAutocomplete-root .MuiOutlinedInput-root {
  padding: 3px !important;
}

.css-106c1u2-MuiBadge-badge {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-content: center;
  -ms-flex-line-pack: center;
  align-content: center;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: absolute;
  box-sizing: border-box;
  /* font-family: "Roboto","Helvetica","Arial",sans-serif; */
  font-weight: 500;
  font-size: 0.75rem;
  min-width: 20px;
  line-height: 1;
  padding: 0 6px;
  height: 20px;
  border-radius: 10px;
  z-index: 1;
  -webkit-transition: -webkit-transform 225ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  transition: transform 225ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  background-color: #ad0004 !important;
  color: #fff;
  top: 0;
  right: 0;
  -webkit-transform: scale(1) translate(50%, -50%);
  -moz-transform: scale(1) translate(50%, -50%);
  -ms-transform: scale(1) translate(50%, -50%);
  transform: scale(1) translate(50%, -50%);
  transform-origin: 100% 0%;
  margin: 2.3rem !important;
}

.css-52llsg-MuiAutocomplete-root .MuiOutlinedInput-root .MuiAutocomplete-input {
  padding: 1.5px 4px 7.5px 5px !important;
}
.css-jedpe8-MuiSelect-select-MuiInputBase-input-MuiOutlinedInput-input {

  padding: 1.5px 14px !important;
}
.MuiOutlinedInput-root .MuiAutocomplete-input {
  padding: 0px 4px 7.5px 5px !important;
}